// cRealObject.h: interface for the cRealObject class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cRealObject_H
#define cRealObject_H

#include "cEnergeticObject.h"
#include "cVisualObject.h"
#include "cPicture.h"

class cSpace;

class cRealObject : 
	public cEnergeticObject, 
	public cVisibleObject{
protected:
	cSpace *pSpace;

public:
	cRealObject();
	virtual ~cRealObject();

	void SetSpace(cSpace *_pSpace){ pSpace = _pSpace; }
	cSpace *GetSpace(){ return pSpace; }

	virtual int GetKey() = 0;

	void Show(){} // Show메소드는 기능을 상실한다.
	// 지역에 대한 상대 죄표에 객체를 나타낸다.
	virtual void Show(cPicture *pDestPic, int rx, int ry) = 0;
};

#endif
